Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040628
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-17 08:332019-05-21 15:16
ReporterSandrahuguetView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisioncf309c370c14
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-02-20
Regression introduced in release3.0PR15Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/694b153db283507d4f512af28ccbb86bba8bfeee [^]
Triggers an Emergency PackNo
Summary

0040628: Match the business partner by tokens does not work in an import bank statement process

DescriptionMatch the business partner by tokens is not work in a import bank statement process
Steps To ReproduceInstall OFX Bank Statement Format module and apply dataset
Go to Financial Account
 -Select Bank - Account 1
 -Import Statement
    -Back File: attached file in this issue
    -File format: Standard OFX
 -Notice that in bank statement lines, business partner are not matched with the F&B business partners
TagsNo tags attached.
Attached Files? file icon BankStmt.ofx [^] (1,660 bytes) 2019-04-17 11:42

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040522 closednonofrancisco use bind-parameters in FIN_BankStatementImport 
depends on backport 00406383.0PR19Q2 closednonofrancisco Match the business partner by tokens does not work in an import bank statement process 
depends on backport 00406393.0PR19Q1.1 closednonofrancisco Match the business partner by tokens does not work in an import bank statement process 
depends on backport 00406403.0PR18Q4.4 closednonofrancisco Match the business partner by tokens does not work in an import bank statement process 

-  Notes
(0111204)
nonofrancisco (developer)
2019-04-17 22:52

Install OFX Bank Statement Format module and apply dataset
Go to Financial Account
 -Select Bank - Account 1
 -Import Statement
    -Back File: attached file in this issue
    -File format: Standard OFX
 Go to Imported Bank Statements tab
 Select the bank statement imported
 Verify in Bank Statement Lines tab, business partner field was populated correctly
(0111226)
hgbot (developer)
2019-04-23 10:51

Repository: erp/devel/pi
Changeset: cf309c370c147d78cf356f1e6d602463bbc2a99b
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue Apr 23 10:48:04 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cf309c370c147d78cf356f1e6d602463bbc2a99b [^]

Fixes issue 40628 fix match business partner by token

Fix match business partner by token in import bank statement process
Do properly the get in businessPartnersScroll

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
---
(0111239)
Sandrahuguet (developer)
2019-04-23 13:03

Code review + testing OK
(0111992)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-17 08:33 Sandrahuguet New Issue
2019-04-17 08:33 Sandrahuguet Assigned To => Triage Finance
2019-04-17 08:33 Sandrahuguet Modules => Core
2019-04-17 08:33 Sandrahuguet Triggers an Emergency Pack => No
2019-04-17 09:20 Sandrahuguet Regression level => Production - Confirmed Stable
2019-04-17 09:20 Sandrahuguet Regression date => 2015-02-20
2019-04-17 09:20 Sandrahuguet Regression introduced in release => 3.0PR15Q2
2019-04-17 09:20 Sandrahuguet Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/694b153db283507d4f512af28ccbb86bba8bfeee [^]
2019-04-17 11:42 Sandrahuguet File Added: BankStmt.ofx
2019-04-17 13:16 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-17 13:18 Sandrahuguet Steps to Reproduce Updated View Revisions
2019-04-17 14:20 psanjuan Summary Match the business partner by tokens is not wotk in a import bank statement process => Match the business partner by tokens does not work in an import bank statement process
2019-04-17 14:21 psanjuan Steps to Reproduce Updated View Revisions
2019-04-17 22:36 nonofrancisco Status new => scheduled
2019-04-17 22:52 nonofrancisco Note Added: 0111204
2019-04-23 09:47 Sandrahuguet Steps to Reproduce Updated View Revisions
2019-04-23 10:51 hgbot Checkin
2019-04-23 10:51 hgbot Note Added: 0111226
2019-04-23 10:51 hgbot Status scheduled => resolved
2019-04-23 10:51 hgbot Resolution open => fixed
2019-04-23 10:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cf309c370c147d78cf356f1e6d602463bbc2a99b [^]
2019-04-23 13:03 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-23 13:03 Sandrahuguet Note Added: 0111239
2019-04-23 13:03 Sandrahuguet Status resolved => closed
2019-04-23 13:03 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-04-25 12:25 Sandrahuguet Relationship added related to 0040522
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111992


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker